#include <iostream>

using namespace std;

int main()
{
    int n, m;
    scanf("%d %d", &n, &m);
    int a[n][m];
    for (int i=0; i<n; i++)
        for (int j=0; j<m; j++)
            scanf("%d", &a[i][j]);
    int minS = 100000000, s, minI;
    for (int i=0; i<m; i++) {
        // [0, i) sa desne
        // (i, n-1] sa leve
        s = 0;
        for (int j=0; j<i; j++) {
                s += a[1][j];
                //printf("+=%d ", a[1][j]);
        }
        for (int j=i+1; j<m; j++) {
            //printf("+=%d ", a[0][j]);
                s += a[0][j];
        }
        //printf("\n");
        if (s < minS) { minS = s; minI = i; }
    }
    printf("%d",minS);
    return 0;
}

/*
2 5
1 5 4 2 3
7 3 0 8 1
*/